#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class EnsIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "ens"

    @property
    def original_file_name(self) -> "str":
        return "ens.svg"

    @property
    def title(self) -> "str":
        return "ENS"

    @property
    def primary_color(self) -> "str":
        return "#0080BC"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>ENS</title>
     <path d="M11.725.223 5.107 11.13a.146.146 0 0
 1-.237.018c-.583-.692-2.753-3.64-.067-6.327 2.45-2.452 5.572-4.2
 6.73-4.804.13-.068.269.08.192.206m-.366
 23.747c.132.093.295-.064.206-.2-1.478-2.251-6.392-9.744-7.07-10.869-.67-1.11-1.987-2.953-2.097-4.53-.011-.158-.228-.19-.283-.042a10
 10 0 0 0-.27.85c-1.105 4.11.5 8.472 3.985 10.916zm.909-.193
 6.618-10.907a.146.146 0 0 1 .237-.018c.582.692 2.753 3.64.067
 6.327-2.45 2.452-5.572 4.2-6.73
 4.804-.13.068-.269-.08-.192-.206M12.641.028c-.132-.093-.295.065-.206.2
 1.478 2.252 6.392 9.745 7.07 10.87.67 1.109 1.987 2.952 2.097
 4.53.011.157.228.19.283.041.088-.239.182-.524.27-.85
 1.105-4.11-.5-8.472-3.985-10.915z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
