#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class HeroicGamesLauncherIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "heroicgameslauncher"

    @property
    def original_file_name(self) -> "str":
        return "heroicgameslauncher.svg"

    @property
    def title(self) -> "str":
        return "Heroic Games Launcher"

    @property
    def primary_color(self) -> "str":
        return "#4B93FF"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Heroic Games Launcher</title>
     <path d="M11.999 0 11.997 0a.891.891 0 0 0-.36.075C8.964 1.253
 6.29 2.434 3.618 3.613A.893.893 0 0 0 3.1 4.619l3.146
 14.646c.043.197.15.375.307.504l4.88 4.027a.895.895 0 0 0
 1.131.006l5-4.031a.895.895 0 0 0 .315-.516L20.9 4.614a.895.895 0 0
 0-.515-1L12.358.074A.892.892 0 0 0 12 0zm0 .35v.003c.114 0
 .228.023.334.07l7.42 3.27a.827.827 0 0 1 .476.924l-2.793
 13.535a.83.83 0 0 1-.289.478l-4.623 3.725a.826.826 0 0
 1-1.045-.006l-4.513-3.723a.829.829 0 0 1-.281-.465L3.775 4.622a.83.83
 0 0 1 .476-.931L11.665.42a.832.832 0 0 1 .334-.07zm-.045 1.954L10.28
 5.202h-.002l1.211 11.301.512.409.512-.409 1.117-11.3zM9.003
 16.261l-.584 1.068.584 1.07 2.295-.38.47-.69-.47-.671zm5.996
 0-2.295.397-.47.671.47.69 2.295.38.584-1.07zm-2.998
 1.488-.51.444-.281 2.168.789.55.793-.55-.295-2.168z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return '''https://github.com/Heroic-Games-Launcher/Hero
icGamesLauncher/blob/aefe212367acbce1964491c8e254826b124e34cb/src/fron'''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
