#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class MyanimelistIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "myanimelist"

    @property
    def original_file_name(self) -> "str":
        return "myanimelist.svg"

    @property
    def title(self) -> "str":
        return "MyAnimeList"

    @property
    def primary_color(self) -> "str":
        return "#2E51A2"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>MyAnimeList</title>
     <path d="M8.45 15.91H6.067v-5.506h-.028l-1.833
 2.454-1.796-2.454H2.39v5.507H0V6.808h2.263l1.943 2.671
 1.98-2.671H8.45zm8.499 0h-2.384v-2.883H11.96c.008 1.011.373 1.989.914
 2.884l-1.942 1.284c-.52-.793-1.415-2.458-1.415-4.527
 0-1.015.211-2.942 1.638-4.37a4.809 4.809 0 0 1 2.737-1.37c.96-.15
 1.936-.12 2.905-.12l.555 2.051H15.48c-.776
 0-1.389.113-1.839.337-.637.32-1.009.622-1.447
 1.78h2.372v-1.84h2.384zm3.922-2.05H24l-.555 2.05h-4.962V6.809h2.388z"
 />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from [
            "MAL",
        ]
