#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class PadletIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "padlet"

    @property
    def original_file_name(self) -> "str":
        return "padlet.svg"

    @property
    def title(self) -> "str":
        return "Padlet"

    @property
    def primary_color(self) -> "str":
        return "#FF4081"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Padlet</title>
     <path d="M11.2582 2.3987c-.2791.0038-.573.1774-.6906.4496l-4.9783
 11.566h.001l1.7144 6.3107c.1384.6059.7421.9857
 1.3488.8481l2.6047-.5912-.4004-5.013.0005-.0009-5.2671-1.5532
 5.2666.753zm.001 0 .3965 12.769
 5.2714-.7533-4.9784-11.5661h.0005c-.1176-.2722-.411-.4457-.69-.4496ZM.4407
 7.5341c-.3107.0029-.5609.35-.3797.6662l5.7242
 9.9861-.9681-3.562a.7983.7983 0 0 1 .037-.526l1.4594-3.391L.6612
 7.5918a.4446.4446 0 0 0-.2204-.0576Zm19.173 1.6802-3.419 1.4758
 1.4669 3.4083h.001a.7968.7968 0 0 1 .037.5255l-.924 3.4008
 5.621-8.8104zm2.7829 0-.669 2.4636
 1.795.8528c.2914.1384.5896-.177.4351-.46h-.0005zm-5.4696
 5.2005-5.2676 1.5541-.4004 5.013 2.6047.5912c.6067.1376 1.2102-.2422
 1.3479-.848z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
