#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class TelenorIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "telenor"

    @property
    def original_file_name(self) -> "str":
        return "telenor.svg"

    @property
    def title(self) -> "str":
        return "Telenor"

    @property
    def primary_color(self) -> "str":
        return "#00C8FF"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Telenor</title>
     <path d="M12.131 7.706c.343.054.412-.017.458-.343a7.754 7.754 0 0
 1 .668-2.189c.45-.923 1.162-1.938 2.166-2.619a10.776 10.776 0 0 1
 3.296-1.418 8.039 8.039 0 0 1 2.403-.16c1.445.13 2.245.543 2.647
 1.077a1.159 1.159 0 0 1
 .23.61c.012.267-.103.612-.486.952-.383.34-1.162.743-2.242
 1.105-1.119.373-2.65.767-4.176 1.118a23.554 23.554 0 0
 0-2.612.75c-1.01.343-1.314 1.347-.687 1.655a9.427 9.427 0 0 1 1.965
 1.287 17.392 17.392 0 0 1 2.62 2.575c.949 1.16 2.504 3.374 3.062
 5.524.62 2.36.234 4.596-1.102
 5.221-1.31.615-3.054-.271-4.28-1.545-1.163-1.201-1.977-2.624-2.746-4.806-.662-1.888-.93-4.612-.93-6.04
 0-.476 0-.577.012-1.006.045-.375-.965-.687-2.05.013-1.234.795-2.442
 2.232-3.156 3.07-.311.365-.733.9-1.178 1.462-.589.738-1.237
 1.507-1.83 1.936-.887.634-2.317.908-3.324.194C.3 15.731 0 14.98 0
 14.214a2.903 2.903 0 0 1 .395-1.506c.343-.589.888-1.222
 1.765-1.946a15.536 15.536 0 0 1 3.802-2.168c2.21-.891 4.591-1.171
 6.169-.888z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
