#
# SPDX-License-Identifier: MIT
#
# Copyright (c) 2025 Carsten Igel.
#
# This file is part of simplepycons
# (see https://github.com/carstencodes/simplepycons).
#
# This file is published using the MIT license.
# Refer to LICENSE for more information
#
""""""
# pylint: disable=C0302
# Justification: Code is generated

from typing import TYPE_CHECKING

from .base_icon import Icon

if TYPE_CHECKING:
    from collections.abc import Iterable


class WindsurfIcon(Icon):
    """"""
    @property
    def name(self) -> "str":
        return "windsurf"

    @property
    def original_file_name(self) -> "str":
        return "windsurf.svg"

    @property
    def title(self) -> "str":
        return "Windsurf"

    @property
    def primary_color(self) -> "str":
        return "#0B100F"

    @property
    def raw_svg(self) -> "str":
        return ''' <svg xmlns="http://www.w3.org/2000/svg"
 role="img" viewBox="0 0 24 24">
    <title>Windsurf</title>
     <path d="M23.55 5.067c-1.2038-.002-2.1806.973-2.1806
 2.1765v4.8676c0 .972-.8035 1.7594-1.7597 1.7594-.568
 0-1.1352-.286-1.4718-.7659l-4.9713-7.1003c-.4125-.5896-1.0837-.941-1.8103-.941-1.1334
 0-2.1533.9635-2.1533 2.153v4.8957c0 .972-.7969 1.7594-1.7596
 1.7594-.57 0-1.1363-.286-1.4728-.7658L.4076 5.1598C.2822 4.9798 0
 5.0688 0 5.2882v4.2452c0 .2147.0656.4228.1884.599l5.4748
 7.8183c.3234.462.8006.8052 1.3509.9298 1.3771.313 2.6446-.747
 2.6446-2.0977v-4.893c0-.972.7875-1.7593 1.7596-1.7593h.003a1.798
 1.798 0 0 1 1.4718.7658l4.9723 7.0994c.4135.5905 1.05.941 1.8093.941
 1.1587 0 2.1515-.9645 2.1515-2.153v-4.8948c0-.972.7875-1.7594
 1.7596-1.7594h.194a.22.22 0 0 0 .2204-.2202v-4.622a.22.22 0 0
 0-.2203-.2203Z" />
</svg>'''

    @property
    def guidelines_url(self) -> "str | None":
        _value: "str" = ''''''
        if len(_value) > 0:
            return _value
        return None

    @property
    def source(self) -> "str":
        return ''''''

    @property
    def license(self) -> "tuple[str | None, str | None]":
        _type: "str | None" = ''''''
        _url: "str | None" = ''''''

        if _type is not None and len(_type) == 0:
            _type = None

        if _url is not None and len(_url) == 0:
            _url = None

        return _type, _url

    @property
    def aliases(self) -> "Iterable[str]":
        yield from []
